#include <bits/stdc++.h>

using namespace std;

int main() {
	
	long long int n,a[n],l,i,k=-1,p=0;
	
	scanf("%lld", &n);
	scanf("%lld",&l);
	
	for(i=1;i<=n;i++){
		
		scanf("%lld",&a[i]);
		
		if(l>=a[i]){
			if(p==0){
				k=i;
				p++;		
			}
		}
	}
	
	cout<<k;
	
    return 0;
}